+ date
Tue Jul  9 19:23:14 UTC 2024
+ id
uid=0(root) gid=0(root) groups=0(root)
+ pwd
/build/debian-archive-keyring
+ apt-get source --only-source debian-archive-keyring=2023.3+deb12u1
Reading package lists...
NOTICE: 'debian-archive-keyring' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/release-team/debian-archive-keyring.git
Please use:
git clone https://salsa.debian.org/release-team/debian-archive-keyring.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 179 kB of source archives.
Get:1 http://deb.debian.org/debian bookworm/main debian-archive-keyring 2023.3+deb12u1 (dsc) [1293 B]
Get:2 http://deb.debian.org/debian bookworm/main debian-archive-keyring 2023.3+deb12u1 (tar) [178 kB]
dpkg-source: info: extracting debian-archive-keyring in debian-archive-keyring-2023.3+deb12u1
dpkg-source: info: unpacking debian-archive-keyring_2023.3+deb12u1.tar.xz
Fetched 179 kB in 0s (399 kB/s)
W: Download is performed unsandboxed as root as file 'debian-archive-keyring_2023.3+deb12u1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ ls -la
total 192
drwxr-xr-x 3 root root   4096 Jul  9 19:23 .
drwxr-xr-x 3 root root   4096 Jul  9 19:23 ..
drwxr-xr-x 8 root root   4096 Jul 30  2023 debian-archive-keyring-2023.3+deb12u1
-rw-r--r-- 1 root root   1293 Jul 30  2023 debian-archive-keyring_2023.3+deb12u1.dsc
-rw-r--r-- 1 root root 177600 Jul 30  2023 debian-archive-keyring_2023.3+deb12u1.tar.xz
+ find . -maxdepth 1 -type f
+ sha256sum ./debian-archive-keyring_2023.3+deb12u1.tar.xz ./debian-archive-keyring_2023.3+deb12u1.dsc
80b13f893288f319370ede2f3af31f45ff7b66e123e3a22d039a3a70da0d1df3  ./debian-archive-keyring_2023.3+deb12u1.tar.xz
6a88f9ae6cd4f38f0aa0b834aa5d19ce9aa3b209b038fb1e02467708a07521ae  ./debian-archive-keyring_2023.3+deb12u1.dsc
+ find . -maxdepth 1 -name debian-archive-keyring* -type d
+ cd ./debian-archive-keyring-2023.3+deb12u1
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source debian-archive-keyring=2023.3+deb12u1
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev bsdextrautils debhelper
  dh-autoreconf dh-strip-nondeterminism dwz gettext gettext-base groff-base
  intltool-debian jetring libarchive-zip-perl libdebhelper-perl libelf1
  libfile-stripnondeterminism-perl libicu72 libpipeline1 libsub-override-perl
  libtool libuchardet0 libxml2 m4 man-db po-debconf
0 upgraded, 27 newly installed, 0 to remove and 0 not upgraded.
Need to get 18.0 MB of archives.
After this operation, 66.0 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian bookworm/main arm64 gettext-base arm64 0.21-12 [159 kB]
Get:2 http://deb.debian.org/debian bookworm/main arm64 libuchardet0 arm64 0.0.7-1 [67.9 kB]
Get:3 http://deb.debian.org/debian bookworm/main arm64 groff-base arm64 1.22.4-10 [861 kB]
Get:4 http://deb.debian.org/debian bookworm/main arm64 bsdextrautils arm64 2.38.1-5+deb12u1 [86.9 kB]
Get:5 http://deb.debian.org/debian bookworm/main arm64 libpipeline1 arm64 1.5.7-1 [36.4 kB]
Get:6 http://deb.debian.org/debian bookworm/main arm64 man-db arm64 2.11.2-2 [1369 kB]
Get:7 http://deb.debian.org/debian bookworm/main arm64 m4 arm64 1.4.19-3 [276 kB]
Get:8 http://deb.debian.org/debian bookworm/main arm64 autoconf all 2.71-3 [332 kB]
Get:9 http://deb.debian.org/debian bookworm/main arm64 autotools-dev all 20220109.1 [51.6 kB]
Get:10 http://deb.debian.org/debian bookworm/main arm64 automake all 1:1.16.5-1.3 [823 kB]
Get:11 http://deb.debian.org/debian bookworm/main arm64 autopoint all 0.21-12 [495 kB]
Get:12 http://deb.debian.org/debian bookworm/main arm64 libdebhelper-perl all 13.11.4 [81.2 kB]
Get:13 http://deb.debian.org/debian bookworm/main arm64 libtool all 2.4.7-7~deb12u1 [517 kB]
Get:14 http://deb.debian.org/debian bookworm/main arm64 dh-autoreconf all 20 [17.1 kB]
Get:15 http://deb.debian.org/debian bookworm/main arm64 libarchive-zip-perl all 1.68-1 [104 kB]
Get:16 http://deb.debian.org/debian bookworm/main arm64 libsub-override-perl all 0.09-4 [9304 B]
Get:17 http://deb.debian.org/debian bookworm/main arm64 libfile-stripnondeterminism-perl all 1.13.1-1 [19.4 kB]
Get:18 http://deb.debian.org/debian bookworm/main arm64 dh-strip-nondeterminism all 1.13.1-1 [8620 B]
Get:19 http://deb.debian.org/debian bookworm/main arm64 libelf1 arm64 0.188-2.1 [173 kB]
Get:20 http://deb.debian.org/debian bookworm/main arm64 dwz arm64 0.15-1 [101 kB]
Get:21 http://deb.debian.org/debian bookworm/main arm64 libicu72 arm64 72.1-3 [9204 kB]
Get:22 http://deb.debian.org/debian bookworm/main arm64 libxml2 arm64 2.9.14+dfsg-1.3~deb12u1 [619 kB]
Get:23 http://deb.debian.org/debian bookworm/main arm64 gettext arm64 0.21-12 [1248 kB]
Get:24 http://deb.debian.org/debian bookworm/main arm64 intltool-debian all 0.35.0+20060710.6 [22.9 kB]
Get:25 http://deb.debian.org/debian bookworm/main arm64 po-debconf all 1.0.21+nmu1 [248 kB]
Get:26 http://deb.debian.org/debian bookworm/main arm64 debhelper all 13.11.4 [942 kB]
Get:27 http://deb.debian.org/debian bookworm/main arm64 jetring all 0.31 [170 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 18.0 MB in 1s (30.4 MB/s)
Selecting previously unselected package gettext-base.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 16360 files and directories currently installed.)
Preparing to unpack .../00-gettext-base_0.21-12_arm64.deb ...
Unpacking gettext-base (0.21-12) ...
Selecting previously unselected package libuchardet0:arm64.
Preparing to unpack .../01-libuchardet0_0.0.7-1_arm64.deb ...
Unpacking libuchardet0:arm64 (0.0.7-1) ...
Selecting previously unselected package groff-base.
Preparing to unpack .../02-groff-base_1.22.4-10_arm64.deb ...
Unpacking groff-base (1.22.4-10) ...
Selecting previously unselected package bsdextrautils.
Preparing to unpack .../03-bsdextrautils_2.38.1-5+deb12u1_arm64.deb ...
Unpacking bsdextrautils (2.38.1-5+deb12u1) ...
Selecting previously unselected package libpipeline1:arm64.
Preparing to unpack .../04-libpipeline1_1.5.7-1_arm64.deb ...
Unpacking libpipeline1:arm64 (1.5.7-1) ...
Selecting previously unselected package man-db.
Preparing to unpack .../05-man-db_2.11.2-2_arm64.deb ...
Unpacking man-db (2.11.2-2) ...
Selecting previously unselected package m4.
Preparing to unpack .../06-m4_1.4.19-3_arm64.deb ...
Unpacking m4 (1.4.19-3) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../07-autoconf_2.71-3_all.deb ...
Unpacking autoconf (2.71-3) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../08-autotools-dev_20220109.1_all.deb ...
Unpacking autotools-dev (20220109.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../09-automake_1%3a1.16.5-1.3_all.deb ...
Unpacking automake (1:1.16.5-1.3) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../10-autopoint_0.21-12_all.deb ...
Unpacking autopoint (0.21-12) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../11-libdebhelper-perl_13.11.4_all.deb ...
Unpacking libdebhelper-perl (13.11.4) ...
Selecting previously unselected package libtool.
Preparing to unpack .../12-libtool_2.4.7-7~deb12u1_all.deb ...
Unpacking libtool (2.4.7-7~deb12u1) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../13-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libarchive-zip-perl.
Preparing to unpack .../14-libarchive-zip-perl_1.68-1_all.deb ...
Unpacking libarchive-zip-perl (1.68-1) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../15-libsub-override-perl_0.09-4_all.deb ...
Unpacking libsub-override-perl (0.09-4) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../16-libfile-stripnondeterminism-perl_1.13.1-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.13.1-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../17-dh-strip-nondeterminism_1.13.1-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.13.1-1) ...
Selecting previously unselected package libelf1:arm64.
Preparing to unpack .../18-libelf1_0.188-2.1_arm64.deb ...
Unpacking libelf1:arm64 (0.188-2.1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../19-dwz_0.15-1_arm64.deb ...
Unpacking dwz (0.15-1) ...
Selecting previously unselected package libicu72:arm64.
Preparing to unpack .../20-libicu72_72.1-3_arm64.deb ...
Unpacking libicu72:arm64 (72.1-3) ...
Selecting previously unselected package libxml2:arm64.
Preparing to unpack .../21-libxml2_2.9.14+dfsg-1.3~deb12u1_arm64.deb ...
Unpacking libxml2:arm64 (2.9.14+dfsg-1.3~deb12u1) ...
Selecting previously unselected package gettext.
Preparing to unpack .../22-gettext_0.21-12_arm64.deb ...
Unpacking gettext (0.21-12) ...
Selecting previously unselected package intltool-debian.
Preparing to unpack .../23-intltool-debian_0.35.0+20060710.6_all.deb ...
Unpacking intltool-debian (0.35.0+20060710.6) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../24-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../25-debhelper_13.11.4_all.deb ...
Unpacking debhelper (13.11.4) ...
Selecting previously unselected package jetring.
Preparing to unpack .../26-jetring_0.31_all.deb ...
Unpacking jetring (0.31) ...
Setting up libpipeline1:arm64 (1.5.7-1) ...
Setting up libicu72:arm64 (72.1-3) ...
Setting up bsdextrautils (2.38.1-5+deb12u1) ...
Setting up libarchive-zip-perl (1.68-1) ...
Setting up libdebhelper-perl (13.11.4) ...
Setting up gettext-base (0.21-12) ...
Setting up m4 (1.4.19-3) ...
Setting up autotools-dev (20220109.1) ...
Setting up autopoint (0.21-12) ...
Setting up autoconf (2.71-3) ...
Setting up libuchardet0:arm64 (0.0.7-1) ...
Setting up libsub-override-perl (0.09-4) ...
Setting up libelf1:arm64 (0.188-2.1) ...
Setting up libxml2:arm64 (2.9.14+dfsg-1.3~deb12u1) ...
Setting up jetring (0.31) ...
Setting up automake (1:1.16.5-1.3) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/automake.1.gz because associated file /usr/share/man/man1/automake-1.16.1.gz (of link group automake) doesn't exist
update-alternatives: warning: skip creation of /usr/share/man/man1/aclocal.1.gz because associated file /usr/share/man/man1/aclocal-1.16.1.gz (of link group automake) doesn't exist
Setting up libfile-stripnondeterminism-perl (1.13.1-1) ...
Setting up gettext (0.21-12) ...
Setting up libtool (2.4.7-7~deb12u1) ...
Setting up intltool-debian (0.35.0+20060710.6) ...
Setting up dh-autoreconf (20) ...
Setting up dh-strip-nondeterminism (1.13.1-1) ...
Setting up dwz (0.15-1) ...
Setting up groff-base (1.22.4-10) ...
Setting up po-debconf (1.0.21+nmu1) ...
Setting up man-db (2.11.2-2) ...
Building database of manual pages ...
Setting up debhelper (13.11.4) ...
Processing triggers for libc-bin (2.36-9+deb12u7) ...
+ env DEB_BUILD_OPTIONS=noautodbgsym nocheck eatmydata dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package debian-archive-keyring
dpkg-buildpackage: info: source version 2023.3+deb12u1
dpkg-buildpackage: info: source distribution bookworm
dpkg-buildpackage: info: source changed by Jonathan Wiltshire <jmw@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture arm64
 debian/rules clean
dh clean
   dh_auto_clean
	make -j4 clean
make[1]: Entering directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
rm -f keyrings/debian-archive-keyring.gpg \
	keyrings/debian-archive-keyring.gpg~ \
	keyrings/debian-archive-keyring.gpg.lastchangeset
rm -f keyrings/debian-archive-removed-keys.gpg \
	keyrings/debian-archive-removed-keys.gpg~ \
	keyrings/debian-archive-removed-keys.gpg.lastchangeset
rm -f keyrings/team-members.gpg \
	keyrings/team-members.gpg~ \
	keyrings/team-members.gpg.lastchangeset
rm -rf trusted.gpg/build-area trusted.gpg trustdb.gpg
rm -f keyrings/*.cache
make[1]: Leaving directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
   dh_clean
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (native)'
dpkg-source: info: building debian-archive-keyring in debian-archive-keyring_2023.3+deb12u1.tar.xz
dpkg-source: info: building debian-archive-keyring in debian-archive-keyring_2023.3+deb12u1.dsc
 debian/rules binary
dh binary
   dh_update_autotools_config
   dh_autoreconf
   dh_auto_configure
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
dh_auto_build --no-parallel
	make -j1
make[2]: Entering directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
jetring-build -I keyrings/team-members.gpg team-members
Applying team-members/add-50C3634D3A291CF9 ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: /tmp/jetring.u5Y5ERx1WF/trustdb.gpg: trustdb created
gpg: key 50C3634D3A291CF9: public key "Philipp Kern" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying team-members/add-C5CE5DC2C542CD59 ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: /tmp/jetring.CrnYVnYHUg/trustdb.gpg: trustdb created
gpg: key C5CE5DC2C542CD59: public key "Adam D. Barratt <adam@adam-barratt.org.uk>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying team-members/add-5394479DD3524C51 ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: /tmp/jetring.A9JbfubUo8/trustdb.gpg: trustdb created
gpg: key 5394479DD3524C51: public key "Jonathan Wiltshire <jmw@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying team-members/add-196418AAEB74C8A1 ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: /tmp/jetring.6TdQub5JgS/trustdb.gpg: trustdb created
gpg: key 196418AAEB74C8A1: public key "Jonathan Wiltshire <jmw@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying team-members/modify-196418AAEB74C8A1 ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 196418AAEB74C8A1: 14 signatures not checked due to missing keys
gpg: /tmp/jetring.FF7Fv2QX6X/trustdb.gpg: trustdb created
gpg: key 196418AAEB74C8A1: "Jonathan Wiltshire <jmw@debian.org>" 16 new signatures
gpg: Total number processed: 1
gpg:         new signatures: 16
gpg operation complete

All changesets applied ok.
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < keyrings/team-members.gpg > keyrings/team-members.gpg.tmp
gpg: key 196418AAEB74C8A1: 16 signatures not checked due to missing keys
gpg: Total number processed: 4
mv -f keyrings/team-members.gpg.tmp keyrings/team-members.gpg
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg \
	--verify active-keys/index.gpg active-keys/index
gpg: Signature made Thu Mar 16 08:33:31 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: ./trustdb.gpg: trustdb created
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg \
	--verify removed-keys/index.gpg removed-keys/index
gpg: Signature made Sun Jan 29 22:48:24 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
jetring-build -I keyrings/debian-archive-keyring.gpg active-keys
Applying active-keys/add-buster-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key DCC9EFBF77E11517: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.sW0zInuMym/trustdb.gpg: trustdb created
gpg: key DCC9EFBF77E11517: public key "Debian Stable Release Key (10/buster) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-buster-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key DC30D7C23CBBABEE: 4 signatures not checked due to missing keys
gpg: /tmp/jetring.Vspyn77BFk/trustdb.gpg: trustdb created
gpg: key DC30D7C23CBBABEE: public key "Debian Archive Automatic Signing Key (10/buster) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-buster-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 4DFAB270CAA96DFA: 4 signatures not checked due to missing keys
gpg: /tmp/jetring.uZ3rTC81Ip/trustdb.gpg: trustdb created
gpg: key 4DFAB270CAA96DFA: public key "Debian Security Archive Automatic Signing Key (10/buster) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-bullseye-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 73A4F27B8DD47936: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.CbGkXotFL6/trustdb.gpg: trustdb created
gpg: key 73A4F27B8DD47936: public key "Debian Archive Automatic Signing Key (11/bullseye) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-bullseye-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key A48449044AAD5C5D: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.hY8VAB5VZz/trustdb.gpg: trustdb created
gpg: key A48449044AAD5C5D: public key "Debian Security Archive Automatic Signing Key (11/bullseye) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-bullseye-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 605C66F00D6C9793: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.YFrogjexz9/trustdb.gpg: trustdb created
gpg: key 605C66F00D6C9793: public key "Debian Stable Release Key (11/bullseye) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-bookworm-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: /tmp/jetring.9ivCo5wgco/trustdb.gpg: trustdb created
gpg: key F8D2585B8783D481: public key "Debian Stable Release Key (12/bookworm) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-bookworm-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key B7C5D7D6350947F8: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.9FbgJ3dSRk/trustdb.gpg: trustdb created
gpg: key B7C5D7D6350947F8: public key "Debian Archive Automatic Signing Key (12/bookworm) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying active-keys/add-bookworm-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 254CF3B5AEC0A8F0: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.8KxzBD4_M_/trustdb.gpg: trustdb created
gpg: key 254CF3B5AEC0A8F0: public key "Debian Security Archive Automatic Signing Key (12/bookworm) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < keyrings/debian-archive-keyring.gpg > keyrings/debian-archive-keyring.gpg.tmp
gpg: key DCC9EFBF77E11517: 2 signatures not checked due to missing keys
gpg: key DC30D7C23CBBABEE: 4 signatures not checked due to missing keys
gpg: key 4DFAB270CAA96DFA: 4 signatures not checked due to missing keys
gpg: key 73A4F27B8DD47936: 5 signatures not checked due to missing keys
gpg: key A48449044AAD5C5D: 5 signatures not checked due to missing keys
gpg: key 605C66F00D6C9793: 3 signatures not checked due to missing keys
gpg: key B7C5D7D6350947F8: 5 signatures not checked due to missing keys
gpg: key 254CF3B5AEC0A8F0: 5 signatures not checked due to missing keys
gpg: Total number processed: 9
mv -f keyrings/debian-archive-keyring.gpg.tmp keyrings/debian-archive-keyring.gpg
jetring-build -I keyrings/debian-archive-removed-keys.gpg removed-keys
Applying removed-keys/add-2004-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 6FFA8EF91DB114E0: 1 signature not checked due to a missing key
gpg: /tmp/jetring.WjL9H5tB84/trustdb.gpg: trustdb created
gpg: key 6FFA8EF91DB114E0: public key "Debian Archive Automatic Signing Key (2004) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-2005-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: Note: signatures using the MD5 algorithm are rejected
gpg: key F1D53D8C4F368D5D: 1 signature not checked due to a missing key
gpg: key F1D53D8C4F368D5D: 1 bad signature
gpg: /tmp/jetring.yuz1F_LOpn/trustdb.gpg: trustdb created
gpg: key F1D53D8C4F368D5D: public key "Debian Archive Automatic Signing Key (2005) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-amd64 ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key E415B2B4B5F5BBED: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.1ZLb9zgETp/trustdb.gpg: trustdb created
gpg: key E415B2B4B5F5BBED: public key "Debian AMD64 Archive Key <debian-amd64@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-2006-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 010908312D230C5F: 12 signatures not checked due to missing keys
gpg: /tmp/jetring.POynbjXslU/trustdb.gpg: trustdb created
gpg: key 010908312D230C5F: public key "Debian Archive Automatic Signing Key (2006) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-etch-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key A70DAF536070D3A1: 1 signature not checked due to a missing key
gpg: /tmp/jetring.TQyQeQCUS2/trustdb.gpg: trustdb created
gpg: key A70DAF536070D3A1: public key "Debian Archive Automatic Signing Key (4.0/etch) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-etch-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key B5D0C804ADB11277: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.c_p7kSqdxH/trustdb.gpg: trustdb created
gpg: key B5D0C804ADB11277: public key "Etch Stable Release Key <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-etch-volatile ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key EC61E0B0BBE55AB3: 1 signature not checked due to a missing key
gpg: /tmp/jetring.UljM0m_JjL/trustdb.gpg: trustdb created
gpg: key EC61E0B0BBE55AB3: public key "Debian-Volatile Archive Automatic Signing Key (4.0/etch)" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-lenny-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 9AA38DCD55BE302B: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.nNGykScwt6/trustdb.gpg: trustdb created
gpg: key 9AA38DCD55BE302B: public key "Debian Archive Automatic Signing Key (5.0/lenny) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-lenny-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 4D270D06F42584E6: 5 signatures not checked due to missing keys
gpg: /tmp/jetring.rjHAGMih5b/trustdb.gpg: trustdb created
gpg: key 4D270D06F42584E6: public key "Lenny Stable Release Key <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-lenny-volatile ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key DFD993306D849617: 1 signature not checked due to a missing key
gpg: /tmp/jetring._Um4tzVi70/trustdb.gpg: trustdb created
gpg: key DFD993306D849617: public key "Debian-Volatile Archive Automatic Signing Key (5.0/lenny)" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-squeeze-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 64481591B98321F9: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.DA4mvC_m7Z/trustdb.gpg: trustdb created
gpg: key 64481591B98321F9: public key "Squeeze Stable Release Key <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-squeeze-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key AED4B06F473041FA: 10 signatures not checked due to missing keys
gpg: /tmp/jetring.ZzBCssqHjN/trustdb.gpg: trustdb created
gpg: key AED4B06F473041FA: public key "Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-wheezy-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 8B48AD6246925553: 6 signatures not checked due to missing keys
gpg: /tmp/jetring.IGZhsiUuhq/trustdb.gpg: trustdb created
gpg: key 8B48AD6246925553: public key "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-wheezy-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 6FB2A1C265FFB764: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.fAuCA7SG0k/trustdb.gpg: trustdb created
gpg: key 6FB2A1C265FFB764: public key "Wheezy Stable Release Key <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-jessie-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key CBF8D6FD518E17E1: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.29jji5vTxw/trustdb.gpg: trustdb created
gpg: key CBF8D6FD518E17E1: public key "Jessie Stable Release Key <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-jessie-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 7638D0442B90D010: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.1jl83oH674/trustdb.gpg: trustdb created
gpg: key 7638D0442B90D010: public key "Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-jessie-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 9D6D8F6BC857C906: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.IIUxpfdizv/trustdb.gpg: trustdb created
gpg: key 9D6D8F6BC857C906: public key "Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-stretch-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key EF0F382A1A7B6500: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.k_ST7IdNcb/trustdb.gpg: trustdb created
gpg: key EF0F382A1A7B6500: public key "Debian Stable Release Key (9/stretch) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-stretch-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key E0B11894F66AEC98: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.DsAYMrbv66/trustdb.gpg: trustdb created
gpg: key E0B11894F66AEC98: public key "Debian Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

Applying removed-keys/add-stretch-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key EDA0D2388AE22BA9: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.pkXfdPRYAu/trustdb.gpg: trustdb created
gpg: key EDA0D2388AE22BA9: public key "Debian Security Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < keyrings/debian-archive-removed-keys.gpg > keyrings/debian-archive-removed-keys.gpg.tmp
gpg: key 6FFA8EF91DB114E0: 1 signature not checked due to a missing key
gpg: key F1D53D8C4F368D5D: 2 signatures not checked due to missing keys
gpg: key E415B2B4B5F5BBED: 3 signatures not checked due to missing keys
gpg: key 010908312D230C5F: 13 signatures not checked due to missing keys
gpg: key A70DAF536070D3A1: 1 signature not checked due to a missing key
gpg: key B5D0C804ADB11277: 2 signatures not checked due to missing keys
gpg: key EC61E0B0BBE55AB3: 1 signature not checked due to a missing key
gpg: key 9AA38DCD55BE302B: 3 signatures not checked due to missing keys
gpg: key 4D270D06F42584E6: 5 signatures not checked due to missing keys
gpg: key DFD993306D849617: 1 signature not checked due to a missing key
gpg: key 64481591B98321F9: 3 signatures not checked due to missing keys
gpg: key AED4B06F473041FA: 10 signatures not checked due to missing keys
gpg: key 8B48AD6246925553: 6 signatures not checked due to missing keys
gpg: key 6FB2A1C265FFB764: 3 signatures not checked due to missing keys
gpg: key CBF8D6FD518E17E1: 2 signatures not checked due to missing keys
gpg: key 7638D0442B90D010: 4 signatures not checked due to missing keys
gpg: key 9D6D8F6BC857C906: 4 signatures not checked due to missing keys
gpg: key EF0F382A1A7B6500: 2 signatures not checked due to missing keys
gpg: key E0B11894F66AEC98: 5 signatures not checked due to missing keys
gpg: key EDA0D2388AE22BA9: 5 signatures not checked due to missing keys
gpg: Total number processed: 20
mv -f keyrings/debian-archive-removed-keys.gpg.tmp keyrings/debian-archive-removed-keys.gpg
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg --verify \
	keyrings/debian-archive-keyring.gpg.asc \
	keyrings/debian-archive-keyring.gpg
gpg: Signature made Thu Mar 16 08:34:40 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg --verify \
	keyrings/debian-archive-removed-keys.gpg.asc \
	keyrings/debian-archive-removed-keys.gpg
gpg: Signature made Sun Jan 29 22:48:49 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
#	Maybe "just" checking that no key is added if we merge, but how…
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-bookworm-automatic -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-bookworm-automatic trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-bookworm-automatic.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-bookworm-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key B7C5D7D6350947F8: 5 signatures not checked due to missing keys
gpg: /tmp/jetring.T62kX74klK/trustdb.gpg: trustdb created
gpg: key B7C5D7D6350947F8: public key "Debian Archive Automatic Signing Key (12/bookworm) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-bookworm-automatic.gpg > trusted.gpg/debian-archive-bookworm-automatic.gpg.tmp
gpg: key B7C5D7D6350947F8: 5 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-bookworm-automatic.gpg.tmp trusted.gpg/debian-archive-bookworm-automatic.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-bookworm-security-automatic -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-bookworm-security-automatic trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-bookworm-security-automatic.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-bookworm-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 254CF3B5AEC0A8F0: 5 signatures not checked due to missing keys
gpg: /tmp/jetring.tEQtBCClQQ/trustdb.gpg: trustdb created
gpg: key 254CF3B5AEC0A8F0: public key "Debian Security Archive Automatic Signing Key (12/bookworm) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-bookworm-security-automatic.gpg > trusted.gpg/debian-archive-bookworm-security-automatic.gpg.tmp
gpg: key 254CF3B5AEC0A8F0: 5 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-bookworm-security-automatic.gpg.tmp trusted.gpg/debian-archive-bookworm-security-automatic.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-bookworm-stable -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-bookworm-stable trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-bookworm-stable.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-bookworm-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: /tmp/jetring.JE18wNTkNL/trustdb.gpg: trustdb created
gpg: key F8D2585B8783D481: public key "Debian Stable Release Key (12/bookworm) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-bookworm-stable.gpg > trusted.gpg/debian-archive-bookworm-stable.gpg.tmp
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-bookworm-stable.gpg.tmp trusted.gpg/debian-archive-bookworm-stable.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-bullseye-automatic -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-bullseye-automatic trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-bullseye-automatic.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-bullseye-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 73A4F27B8DD47936: 5 signatures not checked due to missing keys
gpg: /tmp/jetring.9eImf6NoUY/trustdb.gpg: trustdb created
gpg: key 73A4F27B8DD47936: public key "Debian Archive Automatic Signing Key (11/bullseye) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-bullseye-automatic.gpg > trusted.gpg/debian-archive-bullseye-automatic.gpg.tmp
gpg: key 73A4F27B8DD47936: 5 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-bullseye-automatic.gpg.tmp trusted.gpg/debian-archive-bullseye-automatic.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-bullseye-security-automatic -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-bullseye-security-automatic trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-bullseye-security-automatic.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-bullseye-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key A48449044AAD5C5D: 5 signatures not checked due to missing keys
gpg: /tmp/jetring.KLV82Ed3dH/trustdb.gpg: trustdb created
gpg: key A48449044AAD5C5D: public key "Debian Security Archive Automatic Signing Key (11/bullseye) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-bullseye-security-automatic.gpg > trusted.gpg/debian-archive-bullseye-security-automatic.gpg.tmp
gpg: key A48449044AAD5C5D: 5 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-bullseye-security-automatic.gpg.tmp trusted.gpg/debian-archive-bullseye-security-automatic.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-bullseye-stable -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-bullseye-stable trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-bullseye-stable.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-bullseye-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 605C66F00D6C9793: 3 signatures not checked due to missing keys
gpg: /tmp/jetring.2bTYLxUFSf/trustdb.gpg: trustdb created
gpg: key 605C66F00D6C9793: public key "Debian Stable Release Key (11/bullseye) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-bullseye-stable.gpg > trusted.gpg/debian-archive-bullseye-stable.gpg.tmp
gpg: key 605C66F00D6C9793: 3 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-bullseye-stable.gpg.tmp trusted.gpg/debian-archive-bullseye-stable.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-buster-automatic -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-buster-automatic trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-buster-automatic.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-buster-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key DC30D7C23CBBABEE: 4 signatures not checked due to missing keys
gpg: /tmp/jetring.KjPhRjpc9y/trustdb.gpg: trustdb created
gpg: key DC30D7C23CBBABEE: public key "Debian Archive Automatic Signing Key (10/buster) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-buster-automatic.gpg > trusted.gpg/debian-archive-buster-automatic.gpg.tmp
gpg: key DC30D7C23CBBABEE: 4 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-buster-automatic.gpg.tmp trusted.gpg/debian-archive-buster-automatic.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-buster-security-automatic -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-buster-security-automatic trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-buster-security-automatic.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-buster-security-automatic ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key 4DFAB270CAA96DFA: 4 signatures not checked due to missing keys
gpg: /tmp/jetring.JHzH2oqaNi/trustdb.gpg: trustdb created
gpg: key 4DFAB270CAA96DFA: public key "Debian Security Archive Automatic Signing Key (10/buster) <ftpmaster@debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-buster-security-automatic.gpg > trusted.gpg/debian-archive-buster-security-automatic.gpg.tmp
gpg: key 4DFAB270CAA96DFA: 4 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-buster-security-automatic.gpg.tmp trusted.gpg/debian-archive-buster-security-automatic.gpg
mkdir -p trusted.gpg/build-area trusted.gpg
grep -F add-buster-stable -- active-keys/index > trusted.gpg/build-area/index
cp active-keys/add-buster-stable trusted.gpg/build-area
jetring-build -I trusted.gpg/debian-archive-buster-stable.gpg trusted.gpg/build-area
Applying trusted.gpg/build-area/add-buster-stable ...
gpg --import 
gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect
gpg: key DCC9EFBF77E11517: 2 signatures not checked due to missing keys
gpg: /tmp/jetring.ns4H_lTJzj/trustdb.gpg: trustdb created
gpg: key DCC9EFBF77E11517: public key "Debian Stable Release Key (10/buster) <debian-release@lists.debian.org>" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg operation complete

All changesets applied ok.
rm -rf trusted.gpg/build-area
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg --no-keyring --import-options import-export --import < trusted.gpg/debian-archive-buster-stable.gpg > trusted.gpg/debian-archive-buster-stable.gpg.tmp
gpg: key DCC9EFBF77E11517: 2 signatures not checked due to missing keys
gpg: Total number processed: 1
mv -f trusted.gpg/debian-archive-buster-stable.gpg.tmp trusted.gpg/debian-archive-buster-stable.gpg
make[2]: Leaving directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
make[1]: Leaving directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
   dh_auto_test
   create-stamp debian/debhelper-build-stamp
   dh_prep
   dh_auto_install
	make -j4 install DESTDIR=/build/debian-archive-keyring/debian-archive-keyring-2023.3\+deb12u1/debian/tmp AM_UPDATE_INFO_DIR=no
make[1]: Entering directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg \
	--verify active-keys/index.gpg active-keys/index
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg --verify \
	keyrings/debian-archive-keyring.gpg.asc \
	keyrings/debian-archive-keyring.gpg
gpg: Signature made Thu Mar 16 08:33:31 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Signature made Thu Mar 16 08:34:40 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg \
	--verify removed-keys/index.gpg removed-keys/index
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
gpg --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg \
	--keyring keyrings/team-members.gpg --verify \
	keyrings/debian-archive-removed-keys.gpg.asc \
	keyrings/debian-archive-removed-keys.gpg
gpg: Signature made Sun Jan 29 22:48:24 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Signature made Sun Jan 29 22:48:49 2023 UTC
gpg:                using EDDSA key DD1738DF2C69FC511166B5E3035EE609804B5139
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Good signature from "Jonathan Wiltshire <jmw@debian.org>" [expired]
gpg:                 aka "Jonathan Wiltshire <mail@jwiltshire.org.uk>" [expired]
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
gpg: Note: This key has expired!
Primary key fingerprint: CA61 9D65 A72A 7BAD FC96  D280 1964 18AA EB74 C8A1
     Subkey fingerprint: DD17 38DF 2C69 FC51 1166  B5E3 035E E609 804B 5139
#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
#	Maybe "just" checking that no key is added if we merge, but how…
install -d /build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1/debian/tmp/usr/share/keyrings/
cp trusted.gpg/debian-archive-*.gpg /build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1/debian/tmp/usr/share/keyrings/
cp keyrings/debian-archive-keyring.gpg /build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1/debian/tmp/usr/share/keyrings/
cp keyrings/debian-archive-removed-keys.gpg /build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1/debian/tmp/usr/share/keyrings/
install -d /build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1/debian/tmp/etc/apt/trusted.gpg.d/
cp apt-trusted-asc/debian-archive-bookworm-security-automatic.asc apt-trusted-asc/debian-archive-buster-automatic.asc apt-trusted-asc/debian-archive-bullseye-security-automatic.asc apt-trusted-asc/debian-archive-bullseye-stable.asc apt-trusted-asc/debian-archive-buster-security-automatic.asc apt-trusted-asc/debian-archive-bookworm-stable.asc apt-trusted-asc/debian-archive-bookworm-automatic.asc apt-trusted-asc/debian-archive-bullseye-automatic.asc apt-trusted-asc/debian-archive-buster-stable.asc /build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1/debian/tmp/etc/apt/trusted.gpg.d/
make[1]: Leaving directory '/build/debian-archive-keyring/debian-archive-keyring-2023.3+deb12u1'
   dh_install
   dh_installdocs
   dh_installchangelogs
   dh_perl
   dh_link
   dh_strip_nondeterminism
   dh_compress
   dh_fixperms
   dh_missing
   dh_installdeb
   dh_gencontrol
   dh_md5sums
   dh_builddeb
dpkg-deb: building package 'debian-archive-keyring' in '../debian-archive-keyring_2023.3+deb12u1_all.deb'.
dpkg-deb: building package 'debian-archive-keyring-udeb' in 'debian/.debhelper/scratch-space/build-debian-archive-keyring-udeb/debian-archive-keyring-udeb_2023.3+deb12u1_all.deb'.
	Renaming debian-archive-keyring-udeb_2023.3+deb12u1_all.deb to debian-archive-keyring-udeb_2023.3+deb12u1_all.udeb
 dpkg-genbuildinfo -O../debian-archive-keyring_2023.3+deb12u1_arm64.buildinfo
 dpkg-genchanges -O../debian-archive-keyring_2023.3+deb12u1_arm64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ date
Tue Jul  9 19:23:24 UTC 2024
+ cd ..
+ + ls debian-archive-keyring_2023.3+deb12u1_all.deb
sed -e s,_.*,,
+ apt-cache show debian-archive-keyring=2023.3+deb12u1
+ grep ^Version: 
+ sed -e s,^Version: ,,
+ binver=2023.3+deb12u1
+ binnmuver=2023.3+deb12u1
+ echo 2023.3+deb12u1
+ sed s,^[0-9]\+:,,
+ binnmuver=2023.3+deb12u1
+ echo 2023.3+deb12u1
+ sed s,^[0-9]\+:,,
+ srcver=2023.3+deb12u1
+ test -f debian-archive-keyring_2023.3+deb12u1_arm64.deb
+ ln -s debian-archive-keyring_2023.3+deb12u1_arm64.deb debian-archive-keyring_2023.3+deb12u1_arm64.deb
+ apt-cache show debian-archive-keyring=2023.3+deb12u1
+ grep -e ^Filename:  -e ^SHA256: 
+ sed -z s,.*Filename: .*/\(.*\)SHA256: \([0-9a-f]\{64\}\).*,\2  \1,g
+ ls -la
total 420
drwxr-xr-x 3 root root   4096 Jul  9 19:23 .
drwxr-xr-x 3 root root   4096 Jul  9 19:23 ..
-rw-r--r-- 1 root root    112 Jul  9 19:23 SHA256SUMS
drwxr-xr-x 9 root root   4096 Jul  9 19:23 debian-archive-keyring-2023.3+deb12u1
-rw-r--r-- 1 root root  53188 Jul  9 19:23 debian-archive-keyring-udeb_2023.3+deb12u1_all.udeb
-rw-r--r-- 1 root root    995 Jul  9 19:23 debian-archive-keyring_2023.3+deb12u1.dsc
-rw-r--r-- 1 root root 177584 Jul  9 19:23 debian-archive-keyring_2023.3+deb12u1.tar.xz
-rw-r--r-- 1 root root 160776 Jul  9 19:23 debian-archive-keyring_2023.3+deb12u1_all.deb
-rw-r--r-- 1 root root   6618 Jul  9 19:23 debian-archive-keyring_2023.3+deb12u1_arm64.buildinfo
-rw-r--r-- 1 root root   2314 Jul  9 19:23 debian-archive-keyring_2023.3+deb12u1_arm64.changes
lrwxrwxrwx 1 root root     47 Jul  9 19:23 debian-archive-keyring_2023.3+deb12u1_arm64.deb -> debian-archive-keyring_2023.3+deb12u1_arm64.deb
+ find . -maxdepth 1 -type f
+ sha256sum ./SHA256SUMS ./debian-archive-keyring_2023.3+deb12u1.tar.xz ./debian-archive-keyring_2023.3+deb12u1.dsc ./debian-archive-keyring_2023.3+deb12u1_arm64.changes ./debian-archive-keyring-udeb_2023.3+deb12u1_all.udeb ./debian-archive-keyring_2023.3+deb12u1_arm64.buildinfo ./debian-archive-keyring_2023.3+deb12u1_all.deb
8792b26be42eaf1e994da5faddf6fc260484626946517b0b55d5200f458d3cbc  ./SHA256SUMS
3401a0290809ba56aff197f99da5a4656354d87956d534c8b77608c546dbb154  ./debian-archive-keyring_2023.3+deb12u1.tar.xz
7c8d085332316ec27d52fe4799b969ca2123bae3a0e626e153076b7ccf54f33e  ./debian-archive-keyring_2023.3+deb12u1.dsc
adaf6fea2a4e49b747e5569cbfa1fb2cc878c2728b8acb2e9e660be8c29abda7  ./debian-archive-keyring_2023.3+deb12u1_arm64.changes
244d7a7b8a244d0fdb53d748416a1ad5f3df61cb8e582dcc4fee7cfc8dfd6800  ./debian-archive-keyring-udeb_2023.3+deb12u1_all.udeb
c5c90f01f342489365f7a6e9dd4d87212f056d54c5272e3a834bc4244df37079  ./debian-archive-keyring_2023.3+deb12u1_arm64.buildinfo
c1bac61abefa0d957394d33c02b7bfb2a3ab3ce5e6d90617c4019ddea4bdbf63  ./debian-archive-keyring_2023.3+deb12u1_all.deb
+ tail -v -n+0 SHA256SUMS
==> SHA256SUMS <==
c1bac61abefa0d957394d33c02b7bfb2a3ab3ce5e6d90617c4019ddea4bdbf63  debian-archive-keyring_2023.3+deb12u1_all.deb
+ sha256sum -c SHA256SUMS
debian-archive-keyring_2023.3+deb12u1_all.deb: OK
+ echo Package debian-archive-keyring version 2023.3+deb12u1 is reproducible!
Package debian-archive-keyring version 2023.3+deb12u1 is reproducible!
